﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Content Dialog item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace demo_view
{
    public sealed partial class SaveFlagsContentDialog : ContentDialog
    {
        public bool bIncremental = true;
        public bool bRemoveSecurity = false;
        public bool bObjectStream = false;

        public SaveFlagsContentDialog()
        {
            this.InitializeComponent();
        }

        private void ContentDialog_PrimaryButtonClick(ContentDialog sender, ContentDialogButtonClickEventArgs args)
        {
        }

        private void ContentDialog_SecondaryButtonClick(ContentDialog sender, ContentDialogButtonClickEventArgs args)
        {
        }

        private void Incremental_Checked(object sender, RoutedEventArgs e)
        {
            bIncremental = true;
            IsPrimaryButtonEnabled = true;
        }

        private void Incremental_Unchecked(object sender, RoutedEventArgs e)
        {
            bIncremental = false;
            if (!bIncremental && !bRemoveSecurity && !bObjectStream)
                IsPrimaryButtonEnabled = false;
        }

        private void RemoveSecurity_Checked(object sender, RoutedEventArgs e)
        {
            bRemoveSecurity = true;
            IsPrimaryButtonEnabled = true;
        }

        private void RemoveSecurity_Unchecked(object sender, RoutedEventArgs e)
        {
            bRemoveSecurity = false;
            if (!bIncremental && !bRemoveSecurity && !bObjectStream)
                IsPrimaryButtonEnabled = false;
        }

        private void ObjectStream_Checked(object sender, RoutedEventArgs e)
        {
            bObjectStream = true;
            IsPrimaryButtonEnabled = true;
        }

        private void ObjectStream_Unchecked(object sender, RoutedEventArgs e)
        {
            bObjectStream = false;
            if (!bIncremental && !bRemoveSecurity && !bObjectStream)
                IsPrimaryButtonEnabled = false;
        }
    }
}
